Groovy Documentation

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandAlias

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.CommandAlias

    class CommandAlias
    extends CommandSupport

Provides simple command aliasing.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.lang.String` | `targetName`

Constructor Summary
`CommandAlias(Shell shell, java.lang.String name, java.lang.String shortcut, java.lang.String target)`

Method Summary
`protected java.util.List` | `createCompletors()`
`java.lang.Object` | `execute(java.util.List args)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getHelp()`
`boolean` | `getHidden()`
`Command` | `getTarget()`
`java.lang.String` | `getUsage()`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Property Detail

### targetName

    final java.lang.String targetName

Constructor Detail

### CommandAlias

    CommandAlias(Shell shell, java.lang.String name, java.lang.String shortcut, java.lang.String target)

Method Detail

### createCompletors

    protected java.util.List createCompletors()

### execute

    java.lang.Object execute(java.util.List args)

### getDescription

    java.lang.String getDescription()

### getHelp

    java.lang.String getHelp()

### getHidden

    boolean getHidden()

### getTarget

    Command getTarget()

### getUsage

    java.lang.String getUsage()

Groovy Documentation